searchNodes=[{"ref":"Zabbix.API.html","title":"Zabbix.API","type":"module","doc":"Provides simple wrapper to Zabbix API. Example usage Create client iex(1)&gt; Zabbix.API.create_client(&quot;https://zabbix.example.com&quot;) :ok Log in iex(2)&gt; Zabbix.API.login(&quot;elixir&quot;, &quot;elixir&quot;) {:ok, &quot;7959e30884cf778cbf693c66c46a382c&quot;} Do what you want iex(3)&gt; Zabbix.API.call(&quot;apiinfo.version&quot;) {:ok, %{&quot;id&quot; =&gt; 2, &quot;jsonrpc&quot; =&gt; &quot;2.0&quot;, &quot;result&quot; =&gt; &quot;4.2.6&quot;}} iex(4)&gt; Zabbix.API.call(&quot;host.get&quot;, %{hostids: [10001, 10042, 10069], output: [&quot;name&quot;]}) {:ok, %{ &quot;id&quot; =&gt; 3, &quot;jsonrpc&quot; =&gt; &quot;2.0&quot;, &quot;result&quot; =&gt; [ %{&quot;hostid&quot; =&gt; &quot;10001&quot;, &quot;name&quot; =&gt; &quot;ZBX-APP001&quot;}, %{&quot;hostid&quot; =&gt; &quot;10042&quot;, &quot;name&quot; =&gt; &quot;ZBX-APP042&quot;}, %{&quot;hostid&quot; =&gt; &quot;10069&quot;, &quot;name&quot; =&gt; &quot;ZBX-APP069&quot;} ] }} Log out iex(5)&gt; Zabbix.API.logout() {:ok, :deauthorized}"},{"ref":"Zabbix.API.html#call/2","title":"Zabbix.API.call/2","type":"function","doc":"Performs request to Zabbix API. The function will perform request to specified method of Zabbix API with specified params. Session state must be initialized with create_client/2 before performing requests. Most of methods requires authorization. You can auth with login/2 function using login and password or with login/1 using token. Examples iex&gt; Zabbix.API.call(&quot;apiinfo.version&quot;) {:ok, %{&quot;id&quot; =&gt; 2, &quot;jsonrpc&quot; =&gt; &quot;2.0&quot;, &quot;result&quot; =&gt; &quot;4.2.6&quot;}} iex&gt; Zabbix.API.call(&quot;host.get&quot;, %{hostids: [10001, 10042, 10069], output: [&quot;name&quot;]}) {:ok, %{ &quot;id&quot; =&gt; 3, &quot;jsonrpc&quot; =&gt; &quot;2.0&quot;, &quot;result&quot; =&gt; [ %{&quot;hostid&quot; =&gt; &quot;10001&quot;, &quot;name&quot; =&gt; &quot;ZBX-APP001&quot;}, %{&quot;hostid&quot; =&gt; &quot;10042&quot;, &quot;name&quot; =&gt; &quot;ZBX-APP042&quot;}, %{&quot;hostid&quot; =&gt; &quot;10069&quot;, &quot;name&quot; =&gt; &quot;ZBX-APP069&quot;} ] }}"},{"ref":"Zabbix.API.html#create_client/2","title":"Zabbix.API.create_client/2","type":"function","doc":"Updates session state with new client instance. The function will set url as base URL for all requests with timeout milliseconds timeout. Calling create_client/2 will always session state. Examples iex&gt; Zabbix.API.create_client(&quot;http://zabbix.example.com&quot;) :ok iex&gt; Zabbix.API.create_client(&quot;http://example.com/zabbix&quot;, 1_000) :ok"},{"ref":"Zabbix.API.html#login/1","title":"Zabbix.API.login/1","type":"function","doc":"Authorizes in Zabbix API using token and updates session state with granted token. The function will call call/2 with token as parameter and store granted token in session state in case of successful authorization. Examples iex&gt; Zabbix.API.login(&quot;ea22fa26bf0a446301055920bf2f25a2&quot;) {:ok, &quot;ea22fa26bf0a446301055920bf2f25a2&quot;} iex&gt; Zabbix.API.login(&quot;incorrect_token&quot;) {:error, :unauthorized}"},{"ref":"Zabbix.API.html#login/2","title":"Zabbix.API.login/2","type":"function","doc":"Authorizes in Zabbix API using user and password and updates session state with granted token. The function will call call/2 with user and password as parameters and store granted token in session state in case of successful authorization. Examples iex&gt; Zabbix.API.login(&quot;elixir&quot;, &quot;correct_password&quot;) {:ok, &quot;ea22fa26bf0a446301055920bf2f25a2&quot;} iex&gt; Zabbix.API.login(&quot;elixir&quot;, &quot;incorrect_password&quot;) {:error, :unauthorized}"},{"ref":"Zabbix.API.html#logout/0","title":"Zabbix.API.logout/0","type":"function","doc":"Deauthorizes in Zabbix API and updates session state with nil token. The function will call call/2 and store nil token in session state in case of successful logout. Examples iex&gt; Zabbix.API.logout() {:ok, :deauthorized}"}]